ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APICRM Pipelines & DealsUpdate Deal Attributes

Update Deal Attributes

Updates deal attributes (title, value, currency, notes, close date, owner). To move stage or change status, use POST /api/v1/deals/{id}/move.

PATCH/api/v1/deals/{id}

Body Parameters

1 parameter
{id}uuidrequired

Deal UUID to update

Request Body Schema

application/json
titlestringoptional

Deal title

valuenumberoptional

Updated monetary value

currencystringoptional

3-letter currency code (e.g. INR)

owner_iduuidoptional

Updated owner UUID

product_iduuidoptional

Updated product UUID (or null to unassign)

expected_close_datestringoptional

Expected close date (YYYY-MM-DD)

notesstringoptional

Deal notes

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X PATCH "https://app.chatofy.in/api/v1/deals/d2222222-3333-4444-5555-666666666666" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"title":"Annual Support SLA (Enterprise)"}'

Was this endpoint guide helpful?

Previous Endpoint
Move Deal Stage
Next Endpoint
Delete Deal
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X PATCH "https://app.chatofy.in/api/v1/deals/d2222222-3333-4444-5555-666666666666" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"title":"Annual Support SLA (Enterprise)"}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "deal": {
5 "id": "d2222222-3333-4444-5555-666666666666",
6 "title": "Annual Support SLA (Enterprise)",
7 "value": 65000,
8 "currency": "INR",
9 "status": "open",
10 "updated_at": "2026-10-27T01:10:00+05:30"
11 }
12 },
13 "message": "Deal updated successfully"
14}